netkas.org

Sorry guys, They fail.

fail

mkay, from x2000gldriver:

ATI Technologies Inc.
2.1 ATI-7.0.52
3.2 ATI-7.0.52

also, 32-bit kernel doesn’t seem to use pae, only 3.25 gb of mem available. out of 8gb

Comments

  1. jeanlain
    February 26th, 2011 | 11:36 pm

    Even glxinfo reports 2.1, but as indicated elsewhere by someone who knows better, it’s because “It needs to be updated to request a non-legacy context”.
    So I suppose it affects GLView too.

    I would trust Apple on this one. If they say openGL 3.2 is fully supported (as reportedly indicated in the seed notes), then openGL 3.2 is supported.

  2. Yolanda
    February 26th, 2011 | 11:41 pm

    Sure, OpenGL Viewer for Windows before updates shows wrong versions, so maybe we see udpate in a days.

  3. Hackintosher
    February 27th, 2011 | 1:26 am

    ATI SUX!

  4. bugmenot
    February 27th, 2011 | 2:05 am
  5. ttvdrad
    February 27th, 2011 | 4:28 am

    netkas, just write quick app and check it yourself glGetString( GL_VERSION ) or whatever. Or maybe even check header files. I am sure extension viewer is screwing this one up.

    удачи )

  6. jeanlain
    February 27th, 2011 | 11:01 am

    The notes linked above only mention known issues. No wonder there’s no reference to openGL 3.2.
    New features are probably summarized in another document.

  7. hacker
    February 27th, 2011 | 3:01 pm

    any progress to hack lion, waiting…

  8. Hush
    February 28th, 2011 | 2:50 am

    да кому этот openGL уперся. как стартонуть лучше бы изобразили,

  9. Someone
    February 28th, 2011 | 7:49 am

    Well, granted, this is a developer preview, not the finished product. Hopefully they bolster the OpenGL support soon enough. You can’t really blame them that much for not having everything in the first wide developer release.

  10. MeAngry
    February 28th, 2011 | 12:05 pm

    Why even bother updating the 32-bit kernel anyway? The 64-bit kernel will be default from Lion on anyway, following reports from several people that is.
    No wonder chips lower than Core 2 Duo are no longer supported.

  11. cmf
    February 28th, 2011 | 6:15 pm

    there you go 😉

    opengl context has to be created with “NSOpenGLPFAOpenGLProfile, NSOpenGLProfileVersion3_2Core”.

    Vendor: NVIDIA Corporation
    Renderer: NVIDIA GeForce 9600M GT OpenGL Engine
    Version: 3.2 NVIDIA-7.0.52
    GLSL Version: 1.50
    Extensions (13):
    GL_APPLE_client_storage
    GL_APPLE_container_object_shareable
    GL_APPLE_object_purgeable
    GL_APPLE_rgb_422
    GL_APPLE_row_bytes
    GL_APPLE_texture_range
    GL_ARB_instanced_arrays
    GL_ARB_occlusion_query2
    GL_ARB_timer_query
    GL_EXT_depth_bounds_test
    GL_EXT_texture_compression_s3tc
    GL_EXT_texture_filter_anisotropic
    GL_EXT_texture_mirror_clamp

Leave a reply